summaryrefslogtreecommitdiff
path: root/debian/postinst
diff options
context:
space:
mode:
authorDieter Hametner <dh (plus) vdr (at) gekrumbel (dot) de>2008-01-06 23:40:26 +0100
committerDieter Hametner <dh (plus) vdr (at) gekrumbel (dot) de>2008-01-06 23:40:26 +0100
commit6249ff002f9388fafd464b461658a1f56c13defc (patch)
treea7156f8d41771bb3eb7c973dd9733b6f4cee67cd /debian/postinst
parent87dae1589f9ed94b46aab1a7f0daed0d194b3b46 (diff)
downloadvdr-plugin-live-6249ff002f9388fafd464b461658a1f56c13defc.tar.gz
vdr-plugin-live-6249ff002f9388fafd464b461658a1f56c13defc.tar.bz2
Added debian build directory and some git specific files.
This was needed after the import of the cvs repository into a git repository.
Diffstat (limited to 'debian/postinst')
-rw-r--r--debian/postinst42
1 files changed, 42 insertions, 0 deletions
diff --git a/debian/postinst b/debian/postinst
new file mode 100644
index 0000000..2f989fe
--- /dev/null
+++ b/debian/postinst
@@ -0,0 +1,42 @@
+#!/bin/sh
+# postinst script for vdr-plugin-live
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <postinst> `abort-remove'
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ configure)
+ chown -R vdr:vdr /var/lib/vdr/plugins/live
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+